.card
  .card-header
    h5.card-title.mb-0
      = t('labels.account.basic_information')

  .card-body.pt-0
    = form_with model: staff, url: staffs_account_path, local: false,
                data: { confirm: t('confirmations.account.update') } do |f|
      fieldset
        / Field: Email
        .form-group.mb-3
          label.control-label = Staff.human_attribute_name :email
          = f.text_field :email, autocomplete: 'off', id: nil, class: 'form-control', maxlength: 255, disabled: true

        .row
          .col-6
            / Field: First name
            .form-group.mb-3 class=('has-error' if f.object.errors.key?(:first_name))
              label.control-label.label--required = Staff.human_attribute_name :first_name
              = f.text_field :first_name, autocomplete: 'off', id: nil, class: 'form-control', maxlength: 255
              = error_messages_of f.object, :first_name if f.object.errors.key?(:first_name)

          .col-6
            / Field: Last name
            .form-group.mb-3 class=('has-error' if f.object.errors.key?(:last_name))
              label.control-label.label--required = Staff.human_attribute_name :last_name
              = f.text_field :last_name, autocomplete: 'off', id: nil, class: 'form-control', maxlength: 255
              = error_messages_of f.object, :last_name if f.object.errors.key?(:last_name)

        / Field: Birthdate
        .form-group.mb-3 class=('has-error' if f.object.errors.key?(:birthdate))
          label.control-label = Staff.human_attribute_name :birthdate
          = f.text_field :birthdate, autocomplete: 'off', id: nil, class: 'form-control js-datepicker',
                                     placeholder: t('pickers.texts.date'),
                                     value: l(f.object.birthdate, format: :date_only, default: ''),
                                     data: { 'picker-orientation': 'bottom auto' }
                                     maxlength: 255
          = error_messages_of f.object, :birthdate if f.object.errors.key?(:birthdate)

        / / Field: Phone number
        .form-group.mb-3 class=('has-error' if f.object.errors.key?(:phone_number))
          label.control-label = Staff.human_attribute_name :phone_number
          = f.text_field :phone_number, autocomplete: 'off', id: nil, class: 'form-control', maxlength: 255
          = error_messages_of f.object, :phone_number if f.object.errors.key?(:phone_number)

        / Field: Address
        .form-group.mb-3 class=('has-error' if f.object.errors.key?(:address))
          label.control-label = Staff.human_attribute_name :address
          = f.text_field :address, autocomplete: 'off', id: nil, class: 'form-control', maxlength: 255
          = error_messages_of f.object, :address if f.object.errors.key?(:address)

        / Field: Role
        .form-group.mb-3
          label.control-label = Staff.human_attribute_name :role
          = f.text_field :role, autocomplete: 'off', id: nil, class: 'form-control', maxlength: 255, disabled: true,
                                value: Staff.human_attribute_name("role.#{f.object.role}")

      button.btn.btn-primary type='submit'
        = t('actions.save_changes')
